Sessions
Download a transcript
GET /v1/sessions/{session_id}/download- Permission
read:sessions- Tokens
- API key, CLI user token, Sandbox token
Download the session transcript.
Path parameters
session_idstringrequired
{
"archived_through_feed_seq": int,
"earliest_feed_seq": int,
"format": str,
"has_more": bool,
"latest_feed_seq": int,
"session_id": str
}
Hover over a field to see its description.
import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.sessions.download("session_example")
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.sessions.download("session_example");
console.log(result);curl "https://api.ellipsis.dev/v1/sessions/{session_id}/download" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"